# Uses of Class
org.codehaus.janino.Java.Invocation

Packages that use Java.Invocation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.Invocation in org.codehaus.janino

Subclasses of Java.Invocation in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.MethodInvocation`
Representation of a JLS7 15.12 "method invocation expression".
`static final class`
`Java.SuperclassMethodInvocation`
Representation of a JLS7 15.12.1.1.3 "superclass method invocation".

## Uses of Java.Invocation in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.Invocation
Modifier and Type
Method
Description
`void`
AbstractTraverser.`traverseInvocation(Java.Invocation i)`
`void`
Traverser.`traverseInvocation(Java.Invocation i)`